# $Revision: 1.28 $, $Date: 2008/07/27 22:52:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Cache
Summary:	File::Cache - share data between processes via filesystem
Summary(pl.UTF-8):	File::Cache - uwspólnianie danych pomiędzy procesami poprzez system plików
Name:		perl-File-Cache
Version:	0.16
Release:	9
License:	GPL v1+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	712371ae4ee88de11072d1616ae0af72
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Cache implements an object store where data is persisted across
processes in the filesystem. It was written to compliment IPC::Cache.

Where IPC::Cache is faster for small numbers of simple objects,
File::Cache tends toward being more performant when caching large
numbers of complex objects.

%description -l pl.UTF-8
File::Cache implementuje obiekt przechowujący dane, które są
zachowywane na czas działań w systemie plików. Został napisany jako
odpowiednik IPC::Cache.

O ile IPC::Cache jest szybszy dla małych ilości prostych obiektów,
File::Cache próbuje być bardziej wydajny przy cachowaniu większych
ilości złożonych obiektów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO CHANGES
%{perl_vendorlib}/File/Cache.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Cache.spec,v $
Revision 1.28  2008/07/27 22:52:16  arekm
- release 9

Revision 1.27  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.25  2004/11/03 22:30:21  paladine
- formatting

Revision 1.24  2004/05/07 01:24:54  ankry
- rel. 8

Revision 1.23  2004/05/06 18:01:28  ankry
- fixed perl-devel BR

Revision 1.22  2004/04/25 10:46:47  ankry
- tests added

Revision 1.21  2004/04/20 16:43:16  ankry
- summary/description/license fixes

Revision 1.20  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.19  2003/08/18 08:08:45  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/05/28 13:00:37  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/03/01 19:08:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.15  2003/02/25 00:38:34  radek
- use the __perl macro

Revision 1.14  2003/02/18 15:32:10  ankry
- massive attack: change CPAN URLs

Revision 1.13  2002/11/26 00:13:57  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.12  2002/07/10 08:47:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.10  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.9  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 14:13:55  depesz
automatic: Source location unfied, Relase Up

Revision 1.7  2002/02/12 10:14:47  kloczek
- release 4.

Revision 1.6  2002/02/10 15:40:11  depesz
adapterized

Revision 1.5  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.3  2001/05/21 20:36:04  kloczek
- release 2.

Revision 1.2  2001/05/21 20:01:26  mis
- buildarch: noarch

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
